## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.10

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# VariablesStack.hpp File Reference

Include dependency graph for VariablesStack.hpp:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Compounds

- class VariablesStack::InvalidStackContextException
- struct VariablesStack::ParamsVectorEntry
- class VariablesStack::PushParamFunctor
- class VariablesStack::StackEntry
- class VariablesStack
    Defines a class to keep track of a stack for macro arguments. More...

## Defines

- #define XALAN_VARIABLESSTACK_HEADER_GUARD

## Variables

- XALAN_CPP_NAMESPACE_BEGIN
  class Arg

## Define Documentation

#define XALAN_VARIABLESSTACK_HEADER_GUARD

Value:

## Variable Documentation

XALAN_CPP_NAMESPACE_BEGIN class Arg

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.10 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.